Last modified: 2014-03-13 04:37:18 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 48337 - Allow extensions to automatically generate jsduck documentation on doc.wikimedia.org
Allow extensions to automatically generate jsduck documentation on doc.wikime...
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
Continuous integration (Other open bugs)
unspecified
All All
: Low enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: documentation
  Show dependency treegraph
 
Reported: 2013-05-10 21:11 UTC by Matthew Flaschen
Modified: 2014-03-13 04:37 UTC (History)
4 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Matthew Flaschen 2013-05-10 21:11:04 UTC
Core now has jsduck documentation on https://doc.wikimedia.org/mediawiki-core/master/js/ .  It would be useful to provide a standardized mechanism for extensions to have their jsduck documentation automatically added under doc.wikimedia.org as well.
Comment 1 Matthew Flaschen 2014-03-01 02:05:41 UTC
It looks like VisualEditor and MultimediaViewer are both doing so now.  i don't know if they're one-offs or there's a general process.

However, I would like to do the same for GuidedTour.  Currently, we have it at http://growthdoc.wmflabs.org/GuidedTour/ .
Comment 2 Matthew Flaschen 2014-03-13 04:37:18 UTC
Marking this fixed.  The general functionality is there.  For GuidedTour specifically, https://gerrit.wikimedia.org/r/#/c/118428/ and https://gerrit.wikimedia.org/r/#/c/118426/ are in progress.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links